From: yannick.brosseau@gmail.com (Yannick Brosseau)
Subject: [ltt-dev] [UST PATCH] Change the valgrind test to use the libraries from the build directory
Date: Tue, 22 Feb 2011 18:25:19 -0500 [thread overview]
Message-ID: <1298417119-30693-1-git-send-email-yannick.brosseau@gmail.com> (raw)
Also add the $USER name to all temp files so multiple users don't conflict.
Signed-off-by: Yannick Brosseau <yannick.brosseau at gmail.com>
---
tests/valgrind_ust-consumerd.sh | 24 ++++++++++++++----------
1 files changed, 14 insertions(+), 10 deletions(-)
diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
index 1b10772..5b348d7 100755
--- a/tests/valgrind_ust-consumerd.sh
+++ b/tests/valgrind_ust-consumerd.sh
@@ -17,11 +17,6 @@
# You should have received a copy of the GNU General Public License
# along with LTTng-UST. If not, see <http://www.gnu.org/licenses/>.
-if ! which valgrind > /dev/null; then
- echo "$0: Valgrind not found on the system." >/dev/stderr
- exit 1;
-fi
-
TESTDIR=$(dirname $0)
source $TESTDIR/test_functions.sh
@@ -29,21 +24,30 @@ source $TESTDIR/tap.sh
starttest "ust-consumerd valgrind check"
+if ! which valgrind > /dev/null; then
+ echo "$0: Valgrind not found on the system." >/dev/stderr
+ exit 1;
+fi
+
plan_tests 2
-TRACE_DIR="/tmp/ust-testsuite-ust-consumerdvalgrind-trace"
+TRACE_DIR="/tmp/ust-testsuite-$USER-ust-consumerdvalgrind-trace"
rm -rf "$TRACE_DIR"
mkdir "$TRACE_DIR"
pidfilepath="/tmp/ust-testsuite-$USER-$(date +%Y%m%d%H%M%S%N)-ust-consumerd-pid"
mkfifo -m 0600 "$pidfilepath"
-VALG_OUT=/tmp/ust-testsuite-valg.txt
-valgrind --suppressions=$TESTDIR/valgrind_suppress.txt -q ust-consumerd --pidfile "$pidfilepath" -o "$TRACE_DIR" >/dev/null 2>"$VALG_OUT" &
+UST_CONSUMERD="$TESTDIR/../ust-consumerd/.libs/ust-consumerd"
+USTTRACE="$TESTDIR/../usttrace"
+
+VALG_OUT=/tmp/ust-testsuite-$USER-valg.txt
+export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$TESTDIR/../libustconsumer/.libs/"
+valgrind --suppressions=$TESTDIR/valgrind_suppress.txt -q $UST_CONSUMERD --pidfile "$pidfilepath" -o "$TRACE_DIR" >/dev/null 2>"$VALG_OUT" &
VALG_PID=$!
UST_CONSUMERD_PID="$(<$pidfilepath)"
-okx usttrace -s $TESTDIR/basic/.libs/basic
+okx $USTTRACE -L -s $TESTDIR/basic/.libs/basic
kill -SIGTERM ${UST_CONSUMERD_PID}
wait $!
@@ -54,6 +58,6 @@ if [ -z "$(<$VALG_OUT)" ]; then
else
fail "Valgrind found errors in ust-consumerd:"
cat $VALG_OUT | while read; do
- diag $REPLY
+ diag "$REPLY"
done
fi
--
1.7.2.3
next reply other threads:[~2011-02-22 23:25 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-02-22 23:25 Yannick Brosseau [this message]
2011-02-23 8:58 ` Nils Carlson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1298417119-30693-1-git-send-email-yannick.brosseau@gmail.com \
--to=yannick.brosseau@gmail.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox